package com.jz.dmp.modules.service;

import com.jz.common.constant.JsonResult;
import com.jz.dmp.modules.controller.dataService.bean.*;

/**
 * @ClassName: DmpApiMangeService
 * @Description: 数据服务Api管理
 * @Author: Bellamy
 * @Date 2021/1/18
 * @Version 1.0
 */
public interface DmpApiMangeService {

    /**
     * 授权给他人的API-列表分页查询
     *
     * @author Bellamy
     * @since 2021-01-18
     */
    JsonResult queryApiAuthListPage(AuthListInfoReq req) throws Exception;

    /**
     * 取消授权
     *
     * @author Bellamy
     * @since 2021-01-18
     */
    JsonResult cancelApiAuth(String id) throws Exception;

    /**
     * 发布的API-API列表分页查询
     *
     * @author Bellamy
     * @since 2021-01-18
     */
    JsonResult queryApiListPage(ApiInterfaceInfoListReq req) throws Exception;

    /**
     * 删除api
     *
     * @author Bellamy
     * @since 2021-01-18
     */
    JsonResult delApiInfo(String apiKey,String type) throws Exception;
}
